public class Rettangolo {

	private double x, y, larghezza, altezza;

	public Rettangolo() {
		setX(0.0);
		setY(0.0);
		setLarghezza(0.0);
		setAltezza(0.0);
	}

	public Rettangolo(double larghezza, double altezza) {
		setX(0.0);
		setY(0.0);
		setLarghezza(larghezza);
		setAltezza(altezza);
	}

	public Rettangolo(double x, double y, double larghezza, double altezza) {
		setX(x);
		setY(y);
		setLarghezza(larghezza);
		setAltezza(altezza);
	}

	public double getX() {
		return x;
	}

	public void setX(double x) {
		this.x = x;
	}

	public double getY() {
		return y;
	}

	public void setY(double y) {
		this.y = y;
	}

	public double getLarghezza() {
		return larghezza;
	}

	public void setLarghezza(double larghezza) {
		if (larghezza >= 0.0)
			this.larghezza = larghezza;
	}

	public double getAltezza() {
		return altezza;
	}

	public void setAltezza(double altezza) {
		if (altezza >= 0.0)
			this.altezza = altezza;
	}

	public String toString() {
		return "Rettangolo: x=" + getX() + ", y=" + getY() + ", larghezza="
				+ getLarghezza() + ", altezza=" + getAltezza();
	}

	public boolean equals(Rettangolo r) {
		return getX() == r.getX() && getY() == r.getY()
				&& getLarghezza() == r.getLarghezza()
				&& getAltezza() == r.getAltezza();
	}

	public Rettangolo clone() {
		return new Rettangolo(getX(), getY(), getLarghezza(), getAltezza());
	}

	public boolean contiene(double xP, double yP) {
		return xP >= getX() && xP <= getX() + getLarghezza() && yP >= getY()
				&& yP <= getY() + getAltezza();
	}

	public boolean contiene(Rettangolo r) {
		return ... ;
	}

}
